<?php

namespace Moblyze\Briefing;

use User;

class Briefing
{
    /**
     * $breifing object.
     */
    protected $breifing;

    /**
     * Constructor.
     */
    public function __construct(\Moblyze\Briefing\Interfaces\BreifingRepositoryInterface $breifing)
    {
        $this->breifing = $breifing;
    }

    /**
     * Returns count of briefing.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.breifing.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->breifing->pushCriteria(new \Litepie\Moblyze\Repositories\Criteria\BreifingUserCriteria());
        }

        $breifing = $this->breifing->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('briefing::' . $view, compact('breifing'))->render();
    }
}
