<?php

namespace Moblyze\Briefing\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Moblyze\Briefing\Interfaces\BreifingRepositoryInterface;

class BreifingPublicController extends BaseController
{
    // use BreifingWorkflow;

    /**
     * Constructor.
     *
     * @param type \Moblyze\Breifing\Interfaces\BreifingRepositoryInterface $breifing
     *
     * @return type
     */
    public function __construct(BreifingRepositoryInterface $breifing)
    {
        $this->repository = $breifing;
        parent::__construct();
    }

    /**
     * Show breifing's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $breifings = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('briefing::breifing.names'))
            ->view('briefing::public.breifing.index')
            ->data(compact('breifings'))
            ->output();
    }


    /**
     * Show breifing.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $breifing = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($breifing->name . trans('briefing::breifing.name'))
            ->view('briefing::public.breifing.show')
            ->data(compact('breifing'))
            ->output();
    }

}
