<?php

namespace Moblyze\Briefing\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BreifingTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Briefing\Models\Breifing $breifing)
    {
        return [
            'id'                => $breifing->getRouteKey(),
            'key'               => [
                'public'    => $breifing->getPublicKey(),
                'route'     => $breifing->getRouteKey(),
            ], 
            'asset_id'          => $breifing->asset_id,
            'title'             => $breifing->title,
            'parent'            => $breifing->parent,
            'slug'              => $breifing->slug,
            'user_id'           => $breifing->user_id,
            'deleted_at'        => $breifing->deleted_at,
            'url'               => [
                'public'    => trans_url('briefing/'.$breifing->getPublicKey()),
                'user'      => guard_url('briefing/breifing/'.$breifing->getRouteKey()),
            ], 
            'status'            => trans('app.'.$breifing->status),
            'created_at'        => format_date($breifing->created_at),
            'updated_at'        => format_date($breifing->updated_at),
        ];
    }
}